function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React, { useState } from 'react';
import { action } from '@storybook/addon-actions';
import Toggle from '.';
import { Box, Typography } from '../..';
import { Display } from '../../common/Display';
export default {
  title: 'Molecules / Toggle',
  parameters: {
    component: [Toggle]
  }
};
export var DefaultOff = function DefaultOff() {
  return React.createElement(Box, {
    py: 4
  }, ' ', React.createElement(Toggle, {
    label: "Notify me by email",
    onClick: action('clicked')
  }));
};
export var DefaultOn = function DefaultOn() {
  return React.createElement(React.Fragment, null, React.createElement(Box, {
    py: 4
  }, React.createElement(Toggle, {
    label: "Size: large",
    size: "l",
    onClick: action('clicked'),
    checkedInitially: true
  })), React.createElement(Box, {
    py: 4
  }, React.createElement(Toggle, {
    label: "Size: medium",
    size: "m",
    onClick: action('clicked'),
    checkedInitially: true
  })), React.createElement(Box, {
    py: 4
  }, React.createElement(Toggle, {
    label: "Size: small",
    size: "s",
    onClick: action('clicked'),
    checkedInitially: true
  })));
};
export var DisabledStory = {
  render: function render() {
    return React.createElement(React.Fragment, null, React.createElement(Box, {
      py: 4
    }, React.createElement(Toggle, {
      label: "Disabled on",
      checkedInitially: true,
      disabled: true
    })), React.createElement(Box, {
      py: 4
    }, React.createElement(Toggle, {
      label: "Disabled off",
      disabled: true
    })));
  },
  name: 'Disabled'
};
export var ControlledBehaviour = {
  render: function render() {
    var ControlledExample = function ControlledExample() {
      var _useState = useState(true),
        _useState2 = _slicedToArray(_useState, 2),
        checked = _useState2[0],
        setChecked = _useState2[1];
      return React.createElement(Box, {
        py: 4
      }, ' ', React.createElement(Toggle, {
        label: "Notify me by email",
        onClick: function onClick() {
          return setChecked(!checked);
        },
        checked: checked
      }));
    };
    return React.createElement(ControlledExample, null);
  },
  name: 'Controlled behaviour'
};
export var WithLabelPropAsReactNode = {
  render: function render() {
    return React.createElement(Box, {
      py: 4
    }, ' ', React.createElement(Toggle, {
      label: React.createElement(Typography, null, "Notify me by email"),
      onClick: action('clicked')
    }));
  },
  name: 'With Label prop as ReactNode'
};
export var WithHiddenLabel = {
  render: function render() {
    return React.createElement(Box, {
      py: 4
    }, ' ', React.createElement(Toggle, {
      label: "Notify me by email",
      onClick: action('clicked'),
      hiddenLabel: true
    }));
  },
  name: 'With hidden label'
};
export var ReadOnly = function ReadOnly() {
  return React.createElement(Display, {
    items: [{
      component: React.createElement(Box, {
        py: 4
      }, ' ', React.createElement(Toggle, {
        label: "Necessary cookies",
        onClick: action('clicked'),
        readOnly: true
      })),
      title: 'Off'
    }, {
      component: React.createElement(Box, {
        py: 4
      }, ' ', React.createElement(Toggle, {
        label: "Necessary cookies",
        onClick: action('clicked'),
        readOnly: true,
        checkedInitially: true
      })),
      title: 'On'
    }]
  });
};